결제
청구 사용량 API (Beta)
deprecated
SUNSET as of 2026-09-16: this endpoint no longer returns usage data and answers every request with a 410. Use GET /api/v1/billing/usage-history instead, which returns the same ledger entries with cursor pagination: replace page and limit with pageSize plus the nextCursor from each response, and startDate and endDate with startTimestamp and endTimestamp.
GET
/
billing
/
usage
/api/v1/billing/usage
curl --request GET \
--url https://api.venice.ai/api/v1/billing/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/billing/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/billing/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}사용자의 사용량 데이터를 내보냅니다. 응답 필드 설명은 아래에서 확인할 수 있습니다:
- timestamp: 청구 사용량 항목이 생성된 타임스탬프
- sku: 청구 사용량 항목과 연결된 제품
- pricePerUnitUsd: 단위당 USD 가격
- unit: 소비된 단위 수
- amount: 청구 사용량 항목에 청구된 총 금액
- currency: 청구 사용량 항목에 청구된 통화
- notes: 청구 사용량 항목에 대한 메모
- inferenceDetails.requestId: 추론과 연결된 요청 ID
- inferenceDetails.inferenceExecutionTime: 추론 실행 시간(밀리초)
- inferenceDetails.promptTokens: 프롬프트에서 요청한 토큰 수. LLM 사용에만 표시됩니다.
- inferenceDetails.completionTokens: 완료에서 사용된 토큰 수. LLM 사용에만 표시됩니다.
⌘I
/api/v1/billing/usage
